Bug 217871 - Adding a 802.1q vlan brings down interfaces
Adding a 802.1q vlan brings down interfaces
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 10:25 EST by Ventsislav Genchev
Modified: 2014-03-16 23:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: initscripts-8.60-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 07:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Temporary workarround (811 bytes, text/plain)
2007-01-31 03:07 EST, Ventsislav Genchev
no flags Details
eth0 configuration file (132 bytes, text/plain)
2007-04-18 03:23 EDT, Ventsislav Genchev
no flags Details
Local ip address - config file (99 bytes, text/plain)
2007-04-18 03:24 EDT, Ventsislav Genchev
no flags Details

  None (edit)
Description Ventsislav Genchev 2006-11-30 10:25:28 EST
Description of problem:

This problem occurs on FC5 as well... tested with:
initscripts-8.45.5-1
initscripts-8.31.6-1

No problem with:
initscripts-8.11.1-1 on FC4

Adding a 802.1q vlan brings all interfaces that are not described at
/etc/sysconfig/network-scripts down.
The interesting part is that the bug is reproduced only when HWADDR line is
present on the main interface... e.g. ifcfg-eth0...



How reproducible:


Steps to Reproduce:
1. Make sure you have the HWADDR line in your ifcfg-eth0 file.
2. Manually bring up some alias interface e.g. ifconfig eth0:0 10.10.10.10
netmask 255.255.255.255
3. Try to add some vlan on eth0. e.g. vconfig add eth0 1200
4. Check on eth0:0 ... it is down
  
Actual results:

eth0:0 is bringed down together with all other aliases which are NOT described
at /etc/sysconfig/network-scripts


Expected results:

The expected result is to not bring any interfaces down when we add a single
802.1q vlan.

Additional info:

NOTE that this bug is reproduced only when the HWADDR line is present in the
ifcfg-eth0 file ... or ifcfg-eth1 and so on... I was able to identify that the
problem lies in ifup-eth and/or ifdown-eth... Replacing them with the same files
from the initscripts8.11.1-1 package fixed the problem. I'll look more deeply
into this and if I find the exact problem I'll upload some patches and/or
possible workarrounds... 

The solution so far is not to incloode the HWADDR line in the ifcfg files if
possible.
Comment 1 Ventsislav Genchev 2006-12-01 10:09:49 EST
By last debugs the problem was found to be in ifup-post... still debuging to
locate the exact source... 
Comment 2 Ventsislav Genchev 2006-12-01 10:17:20 EST
ifup-aliases ... line 366:

/sbin/ifconfig $parent_device:${DEVNUM} down

That line brings my interfaces down... still looking for the exact source
Comment 3 Ventsislav Genchev 2006-12-07 06:21:14 EST
The fresh updated initscripts-8.45.7-1 still has the bug
Comment 4 Ventsislav Genchev 2007-01-31 03:07:02 EST
Created attachment 147007 [details]
Temporary workarround

I really don't have the time to go deeper and deeper into those initscripts..
especially when there is no usefull documentation about what is ment with some
lines... e.g. "Remove any devices that should not be around"

This patch comments out some lines in the ifup-aliases script and actually
fixes the problem... I can't say for sure if it harms something,  but after all
the tests I've done with my systems it showed no problems...
Comment 5 Bill Nottingham 2007-04-16 19:20:25 EDT
Can you attach your config files?
Comment 6 Ventsislav Genchev 2007-04-18 03:23:27 EDT
Created attachment 152875 [details]
eth0 configuration file

Second octet is hidden for the public
Comment 7 Ventsislav Genchev 2007-04-18 03:24:14 EDT
Created attachment 152876 [details]
Local ip address - config file
Comment 8 Ventsislav Genchev 2007-04-18 03:24:58 EDT
Sure... 

attaching ifcfg-eth0 # ip address is hidden for the public
and ifcfg-eth0:1

eth0:0 is not brought down when I manage vlan interfaces, but if I for an
instance bring up eth0:1 just like: ifconfig eth0:1 10.0.0.1 up, and try to add
and then remove some 802.1q vlan with: vconfig add eth0 12, vconfig rem eth0.12,
alias interface eth0:1 disapears.. 

I found that if I comment out the follwing lines in ifup-aliases, the problem is
resolved.. I can't really say if this will harm something else in the system,
but for me solves the problems:

 
       # Remove any devices that should not be around
       #
       for DEVNUM in $rdev_LIST ; do
              eval " rdev_mark=\$rdev_${DEVNUM}_mark ";
              if [ -z "$rdev_mark" ]; then
        ##echo "removing device $parent_device:${DEVNUM} (lingering)"
                      /sbin/ifconfig $parent_device:${DEVNUM} down
                      do_netreport=yes
              fi
       done
       #
       # Notify of new device creation
       #

Comment 9 Ventsislav Genchev 2007-04-18 03:29:21 EDT
PS: Be aware.. HWADDR must be present in the config file in order to reproduce
the bug... 
Comment 10 Ventsislav Genchev 2007-09-04 08:27:16 EDT
This bug is still present for initscripts-8.54.1-1 in F7.

The temp workaround given in the previous comments is solving the issue.
Comment 11 Bug Zapper 2008-05-14 08:05:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bill Nottingham 2008-05-16 17:10:57 EDT
Sorry about the delay. What happens if you add 'HOTPLUG=no' to your ifcfg file?
Comment 13 Ventsislav Genchev 2008-05-17 07:18:52 EDT
I have tested the problem on initscripts-8.76.1-1 (Fedora 9) and it showed no
problem... I suppose it is fixed somewhere on the way...

Also I've tested the initscripts-8.60-1 on F8 and it also seems ok.. 


Note You need to log in before you can comment on or make changes to this bug.